What is LFNit?

lfnit.gif (231 bytes) Introducing LFNit!

LFNit! restores long filenames. It is very useful after you have manipulated files using older (any 16 bit) software, because they lose the long filenames during processing. LFNit! creates a batch file that you use to restore the long filenames after the old software has finished.

Note: You must back up your long filenames first!

Ziff Davis rates it as a 4 Star Editor’s Pick - "This program is simple to use and takes little time to master."

See also


Features

  • Can include or exclude subfolders.
  • Can limit the depth of folders traversed.
  • Totally portable - you don't even need LFNit! to restore the long filenames!
  • Does NOT use direct disk access, so it is much safer than other methods.
  • Compatible with FAT32.
  • Creates a batch file to perform the file renaming. The file is human readable and can be edited easily.
  • Can be used for backup in case Windows 95 needs to be re-installed.
  • Supports international characters in filenames
  • Very useful for use in conjunction with tape backups, file compression software, disk and file utilities, file transfer and communications software etc.
  • Multi-threaded, so multiple drives or folders can be processed simultaneously.
  • Can be driven from the command line - very useful in login scripts etc to backup the long filenames on the local machine.
  • Now can drag and drop files - drop a folder to define a new starting folder, drop a file to define a new batch filename.
  • International character support
  • Now restores hidden files as well
  • Debug support - adds extra information to batch file to assist debugging

LFNit! runs under Windows 95, 98 and NT.

See also


What's New

What's new in version 3.6

  • Now supports exclusion lists. These are very handy to exclude 'junk' folders like \Recycled, \Temp, \Windows\Temp, \Windows\Temporary Internet Files etc
  • History list of 5 most recently opened restoration lists
  • Improved checks for change of restoration list and prompting to save
  • Fully supports v3.5 and older file formats
  • Update contact information

What's new in version 3.5

  • Now supports drag and drop in file display
  • Faster performance
  • Desktop Icon created
  • SendTo icon created

What's new in version 3.4

  • When run, batch file now shows which folder it is processing
  • Now processes all files, then all folders. This makes it easier to cut and paste sections from the restoration batch file
  • HTML Help integration with context-sensitive help
  • Full install/uninstall capability
  • Start Menu items created
  • New improved GUI
  • Tool bar
  • Settings saved on user basis, not machine basis
  • Explorer associations for .lfn restoration file type

What's new in version 3.3

  • Advanced install/uninstall capability
  • Sample restoration list files (*.lfn)
  • Improved user interface (far easier to use)

What's new in version 3.2

  • New style About dialog
  • Fixed registration options

See also


How can I use LFNit?

The cost, time and effort of replacing your old software with new software that supports long filenames just isn't worth it. Often replacement software is not available. Now you don't have to replace it! With LFNit's help, you can retain long filename support even while using your:

  • old tape backup software (eg Colorado)
  • old file transfer program (eg LapLink)
  • old file manager (eg Xtree Gold)
  • old disk utility (eg Norton, PC Tools)
  • old compression program (eg arj, pkzip)
  • old software, period.

You simply run LFNit! in the affected folder before you use the old software (or run it on the entire drive at boot time), run the old program, and then run the batch file created by LFNit! to restore the long filenames. What could be simpler?

For example, if you use an old tape backup program to backup your system, it will not retain long filename information. With LFNit!, you just run it on the drive or folders being backed up, and then perform the backup (including the batch file created by LFNit!).

At restore time, just run the batch file (LFNrenew.bat) created by LFNit!

See also


Installation

LFNit! is simple to install. Simply run the SETUP.EXE file provided in the LFNit! distribution.

The installation program creates uninstall entries in the Start menu and under Control Panel:Add/Remove Programs. These allow LFNit! to be cleanly removed from your system.

Uninstallation

Uninstallation is completely automatic.

To uninstall LFNit!, click the Start Menu, Settings, Control Panel, Add/Remove Programs. Select LFNit! from the list presented, and click Add/Remove. LFNit! will then be deleted.

The uninstall does not remove files modified or added by you, so any changes you have made to restoration lists (.lfn).


Online Web Registration

The registered version of LFNit! can be purchased and received immediately on the Internet, eliminating shipping and handling costs.

Direct URL: https://www.regnow.com/softsell/nph-softsell.cgi?item=1496-5

See also


Order Form

Crystal Software Order Form

Registered users receive the following benefits:

  • The most up-to-date version
  • Preferential upgrade pricing
  • Bug fixes free
  • Unlimited technical support by email
  • Email notification of updates and other related releases

Use this form for orders sent directly to Crystal Software in Australia. These prices are current as of 1 October 1999, and are subject to change without notice. Please confirm that you have the most up-to-date price list by viewing http://www.crystalsoftware.com.au/order.txt

Products

Note: For faster turn-around, please order Personal Editions directly over the InterNet by going to our Web site at:

http://www.crystalsoftware.com.au

Please note: All prices are in $US, NOT $AU.

TextPipe (formerly known as DropConvert) | ____ x Personal edition at $26 each: $______ ____ x Server edition at $300 each: $______ ____ x Site edition at $600 each: $______ ____ x Company edition at $900 each: $______
LFNit! (formerly known as LFNbat) | ____ x Personal edition at $20 each: $______ ____ x Server edition at $200 each: $______ ____ x Site edition at $400 each: $______ ____ x Company edition at $700 each: $______
DirSize | ____ x Personal edition at $20 each: $______ ____ x Server edition at $200 each: $______ ____ x Site edition at $400 each: $______ ____ x Company edition at $700 each: $______
DirDate | ____ x Personal edition at $15 each: $______ ____ x Server edition at $150 each: $______ ____ x Site edition at $300 each: $______ ____ x Company edition at $500 each: $______
Arc Menu (formerly known as Launch) | ____ x Personal edition at $20 each: $______ ____ x Server edition at $200 each: $______ ____ x Site edition at $400 each: $______ ____ x Company edition at $700 each: $______
ZeroIn | ____ x Personal edition at $15 each: $______ ____ x Server edition at $150 each: $______ ____ x Site edition at $300 each: $______ ____ x Company edition at $500 each: $______

[ ] Fee for checks, bank drafts or postal money orders

when NOT drawn on an Australian bank. Please see

"Checks" below. Checks must be made payable to $____12

Simon Carter, NOT Crystal Software

( ) Postage and 3.5" diskette $____10

OR OR

( ) Deliver to your email address * free *

(please be sure to specify it below)

Total: $_______

Personal details

Name: ____________________________________________

Email: ____________________________________________

Company: ____________________________________________

Address: ____________________________________________

____________________________________________

____________________________________________

____________________________________________

Phone: ____________________________________________

Fax: ____________________________________________

Visa or MasterCard (*)

Please tick: ( ) Visa OR ( ) MasterCard

Card Number: ____ ____ ____ ____

Expiry Date: ____/______

Card holder name: ________________________________

Signature: ________________________________

Date: ____________

(*) Please note that these orders are processed by Omnivision Technologies, a licensed distributor.

Checks

Checks must be made payable to Simon Carter, NOT Crystal Software. We accept bank checks and personal checks drawn on Australian banks. For foreign checks, please include an additional $US 12 to cover our bank's foreign cheque charge.

Postal Money Orders

We accept PREPAID postal money orders in Australian dollars.

Purchase Orders

Crystal Software accepts both domestic and international government, commercial, military and educational purchase orders. For speedier delivery, please send a signed copy of the purchase order to the email address below, following up by physical mail to the address below.

Other Payment Methods

We also accept $US notes (suitably disguised within an envelope). These are readily available at banks worldwide.

Contact Information

Email: | launch@ozemail.com.au
WWW: | http://www.crystalsoftware.com.au
Fax: | +61-3 9800-3078
Voice: | +61-3 9888-3104. After hours number. Please leave a contact name, number and time, and we will endeavour to get back to you within 24 hours.
Mail: | Simon Carter Crystal Software 2 / 9 Woodbine Court Wantirna Victoria 3152 AUSTRALIA.

See also

License Information


Registration Information

LFNit! is developed as a commercial product. You must purchase LFNit! if you use the output that it generates. You may evaluate LFNit! for a period of 30 days. After this time you must purchase LFNit!. Unregistered use of LFNit! after the evaluation period is illegal and violates international copyright laws.

Benefits of Registration

By registering LFNit! you will obtain the following benefits:

  • the latest version of LFNit!
  • notification of future updates
  • you will not be breaking the law
  • you will have a clear conscience
  • you will be supporting Shareware
  • you will ensure continued development of this product, making LFNit! an even better product in the future

Choosing the Right Edition

Personal Edition | Suitable for the home user. May be installed on up to two (2) computers provided both copies are not used simultaneously. Personal editions CANNOT be purchased for Business, Government or Military use.
Server Edition | May be installed on a single file server (with up to 100 users connecting to it) or on up to 100 standalone PCs. This is the minimum edition permitted for Business, Government or Military use.
Site Edition | May be installed on any number of computers at one location (standalone and networked PCs and file servers).
Company Edition | May be installed on all computers owned by an organization worldwide.

Registration

There are two ways to register LFNit!:

  • The easiest, quickest and most convenient way is to visit the LFNit! home page on the Internet at http://www.crystalsoftware.com.au and use the online registration facility. This facility is for credit card payment only.
  • Mail or email the order form to Crystal Software. The mailing address is contained in the form. The registration form is contained in the help file and in ORDER.TXT

See also


Contact Information

We are always happy to hear your comments! If you use and like this program, or have any suggestions for improvements, please drop us a line! Other user's suggestions have made it what it is today.

Email: | launch@ozemail.com.au
WWW: | http://www.crystalsoftware.com.au
Fax: | +61-3 9800-3078
Voice: | +61-3 9888-3104. After hours number. Please leave a contact name, number and time, and we will try to get back to you within 24 hours.
Mail: | Simon Carter Crystal Software 2 / 9 Woodbine Court Wantirna Victoria 3152 AUSTRALIA


Other Crystal Software Products

Crystal Software develops system utilities for power users, administrators and programmers. It has developed 8 software titles since 1990:

More information about DropConvert TextPipe | Automated search and replace and text processing tool
More information about LFNit! LFNit! | Restores Windows 95 long filenames. Designed to allow continued use of old 16 bit applications (eg XTree, tape backup software, LapLink, PkZip etc) without losing long filenames
More information about DirSize DirSize | Windows 95 command line utility to accurately show used and wasted disk space, sorted by total size, depth, wastage etc
More information about ZeroIn ZeroIn | Fast CD replacement with spelling correction, history, aliases and long filename support
More information about Arc Arc Menu | Text-based, mouse-driven windowed menu system with many advanced capabilities
More information about DirDate DirDate | Unique ability to change the date on folders
More information about ClipSize ClipSize | Displays memory occupied by the clipboard and allows it to be cleared easily
More information about Clean 'n' Go Clean 'n' Go | Temporarily disables the mouse or keyboard while they are cleaned.

Contact Information


Vendor Information

Shareware Vendor Information

Crystal Software extends permission to shareware distributors and disk vendors to distribute its programs if the following conditions are met:

  1. Shareware distributors and disk vendors must inform the buyer that they are paying for a service, not for the programs, and that the programs must be purchased if they wish to continue using them after the evaluation period.
  2. Shareware distributors and disk vendors must include all original files, and they may not modify these files in any way. If required, they may add new files of their own.

Please let us know if you include our software in your shareware collection. We can then keep you informed of the latest version. A postcard or a note on your business letterhead is fine - tell us who you are and how you can be contacted (preferably electronically).

Contact Information


Distribution Files

The LFNit! archive consists of the following files:

LFNit.EXE | The LFNit! program
*.LFN | Sample restoration lists
DESC.SDI | Archive description file
FILE_ID.DIZ | Archive description file
ORDER.TXT | Order form
README.TXT | Readme file
LFNIT.CHM | Help file for 32-bit version
VENDOR.TXT | Vendor information
CORPORAT.TXT | Information about Corporate vesions
LICENCE.TXT | User licence information
PRODUCTS.TXT | Information about other Crystal Software products
WHATSNEW.TXT | What's new in this version of LFNit!

If any of these files are missing from your copy of LFNit! then you can obtain a complete version from the Crystal Software Home Page on the Internet.


Licence Information

This program and the accompanying files and documentation are

Copyright (c) 1990- 1999 Simon A Carter

All rights reserved

This file contains our plain English Evaluation Licence Agreement and Limited Warranty for end users. It also explains the terms of the Commercial Licence where they're different from the Evaluation Licence.

If you have any questions, please contact us at

Address: | Simon Carter Crystal Software 2 / 9 Woodbine Court Wantirna Victoria 3152 AUSTRALIA
Phone: | +61-3 9888-3104 (After hours)
Fax: | +61-3 9800-3078 (Any time)
Email: | launch@ozemail.com.au
Web: | http://www.crystalsoftware.com.au

====================================================================

Plain English Evaluation Licence Agreement and Limited Warranty

(1) Introduction. This agreement explains when and how you may use both Evaluation and Commercial Copies of software products from Crystal Software. In this agreement:

* | "Program" means the software product you have purchased or obtained for evaluation, including the software, associated documentation and other materials;
* | "Evaluation Copy" means a copy of the Program distributed by us or by our authorised agents for evaluation purposes and which is described as an evaluation copy by the Program's "About" screen;
* | "Commercial Copy" means a copy of the Program purchased from us or from a dealer, and which is described as a "Personal Edition", "Server Edition", "Site Edition" or "Company Edition" by the Program's "About" screen;
* | "we", "us", "our" refers to Crystal Software, a business based in Victoria, AUSTRALIA; and
* | "you" means the end user of the Program.

(2) Legal Agreement. This is a legal agreement which allows you, the end user, to use the Program under certain terms and conditions. If you cannot agree to abide by what this agreement says you should not use or evaluate the Program. By using the Program you agree to abide by the terms and conditions stated herein.

(3) Copyright. The Program is fully protected by copyright under federal law and international treaty provisions.

(4) Evaluation Period. You may use a Evaluation Copy of the Program for an evaluation period of up to its evaluation period (specified by each program, typically 30 days, 7 days for TextPipe), in order to determine whether the Program meets your needs before purchasing it. Once the evaluation period ends, you agree to either purchase a Commercial Copy of the Program, or to stop using it. If you have ordered a Commercial Copy of the Program from us or from a dealer, you may continue to use your Evaluation Copy until your Commercial Copy arrives.

In addition, the Commercial Copy of a program MUST be purchased IMMEDIATELY when the Evaluation Copy's output is used for any purpose.

(5) Use of the Program. While you are evaluating the Program, you may use it on as many computers as are required to perform your evaluation. Your evaluation period begins when you first install the Program on one or more computers for evaluation purposes. Once the evaluation period is over and you purchase the Program, your use is subject to the following restrictions:

(A) | You agree not to install or use any Personal Edition of the Program on more than one computer at a time. However, you may install a Personal Edition simultaneously on one computer at home and on one portable computer, if these computers are used primarily by the same individual, and there is no possibility that the Program will be in use at the same time. You agree not to use the Personal Edition of the Program in a Business, Government or Military Environment. The Program is identified as a Personal Edition by the Program's "About" screen.
(B) | If you purchased a Server Edition of the Program you agree not to install or use it on more than one network file server OR on more than 100 standalone PCs. The Program is identified as a Server Edition by the Program's "About" screen.
(C) | If you purchased a Site Edition of the Program you may install it on every computer at just one postal address, usually one building. The Program is identified as a Site Edition by the Program's "About" screen.
(D) | If you purchased a Company Edition of the Program you may install it on every computer that your company uses. The Program is identified as a Company Edition by the Program's "About" screen.

(6) Making and Distributing Evaluation Copies of the Program.

You may make copies of your Evaluation Copy of the Program to give to others, as long as you include all of the files that you originally received with your Evaluation Copy. When you give a Evaluation Copy of the Program to another person, you agree to inform them that their copy is to be used for a time-limited evaluation period, and that they must purchase a Commercial Copy if they continue to use the Program once the evaluation period has ended. You agree not to sell Evaluation Copies of the Program or distribute them to others for any kind of compensation or fee unless the fee solely covers your costs in providing it to the end user.

(7) Copying Commercial Copies of the Program. When you receive a Commercial Copy of the Program you may make copies of the Program software which are necessary for normal backup purposes. You agree not to make any other copies of the software, the documentation or other materials, or any part of them, or sell, give, or make available any copies to others, without our advance written permission.

(8) Modification of the Program. You may not reverse-engineer, disassemble or modify the Program in any way.

(9) Operation of the Program. The Program offers powerful capabilities. If you do not follow our instructions, or if you use the Program improperly, you can destroy files or cause other damage to your software and data. You assume full responsibility for the selection and use of the Program to achieve your intended results.

(10) LIMITED WARRANTY: The following limited warranty applies to Commercial Copies of the Program. It is included here so you understand what your warranty will be when you purchase a Commercial Copy. This warranty does NOT apply to Evaluation Copies of the Program.

Bugs and Program Errors. We don't promise that the Program will be free of bugs or program errors. If you report a program error or bug to us, we will use our best efforts to correct it. If we issue a release of the Program which includes a correction for an error you reported, we will send you an electronic copy (ie via email) of that release at no charge if you request it.

(11) DISCLAIMERS AND LIMITATIONS. And now the legal language we couldn't avoid:

DISCLAIMER FOR EVALUATION COPIES: YOU ARE NOT PAYING FOR THE TRIAL USE LICENCE FOR YOUR EVALUATION COPY OF THE PROGRAM. ACCORDINGLY THE EVALUATION COPY IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND.

DISCLAIMER FOR COMMERCIAL COPIES: Except for the limited warranty stated above, we disclaim any and all other warranties, express or implied, oral or written, including any implied warranties of merchantability or fitness for a particular purpose. The limited warranty above gives you specific legal rights, but you may have other rights, depending on where you purchased the Program.

LIMITATION OF LIABILITY. IN NO EVENT SHALL WE BE LIABLE FOR ANY INCIDENTAL, CONSEQUENTIAL, OR PUNITIVE DAMAGES WHATSOEVER ARISING OUT OF USE OF THE PROGRAM OR YOUR RELATIONSHIP WITH US. SOME COUNTRIES OR STATES DO NOT ALLOW EXCLUSION OR LIMITATION OF LIABILITY FOR INCIDENTAL OR CONSEQUENTIAL DAMAGES, THEREFORE THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

(12) This agreement is to be interpreted under the laws of the state of Victoria, Australia.


Corporate Modifications

Corporate and business users are welcome to approach Crystal Software for modifications specific to their needs. We can easily incorporate any changes you desire. Please send us specifications and we will send you a quote. Please also include details such as a contact name, phone and/or address, plus any other details you think are relevant.

Contact Information


How To Use LFNit!

Using LFNit! is simple:

  1. Decide which folders you need to backup.

    You can backup your entire hard disk (eg from C:\, D:\), or you can choose to just backup important folders (eg C:\My Documents, C:\Windows\Start Menu etc). Add each folder to the restoration list.

  2. Decide if you need the batch file in an unusual location (very rare).

    This is typically used to backup long filenames on a CD-ROM (that can't be written to). In this case the batch file needs to be created on your hard disk.

  3. Decide if you want all subfolders or none (usually you want All).

    If you only want to include the folder you selected, choose None. If you want all subfolders, choose All. Or specify how many folders deep you want LFNit! to go.

  4. Click the "Go" button to start backing up the long filenames.

While the backup is in progress, you can click the "Cancel" button to cancel it, or you can use the main window to build up another backup task.


File Menu

New

Clears the restoration list.

Open

Opens a saved restoration list.

Insert

Inserts a saved restoration list at the current cursor position.

Save

Saves the current restoration list. If no name has been given to it, a Save As is performed.

Save As

Saves the current restoration list with a new name.

Print

Prints the current restoration list.

Printer Setup

Allows the page orientation etc to be configured for the printer.

History - Previously Loaded Restoration Lists

The space between the Printer Setup menu item and the Exit menu item is used to show a list of the previously loaded restoration lists, if any. The list holds a maximum of 5 entries, and a previous restoration list can be loaded quickly by just clicking on it in the menu.

Exit

Leaves LFNit. You will be prompted to save the current restoration list if you have modified it. Clicking [Yes] saves the restoration list and exits, clicking [No] does not save the restoration list and still exits, and clicking on [Cancel] does not exit.


Tools Menu

Explorer

Displays the Windows explorer.

NotePad

Displays NotePad, a small editor useful for editing plain text files (files that contain no formatting like bold, fonts etc).

If you didn’t install this component of Windows, you can do so by checking it under Accessories

WordPad

Displays WordPad, a small editor useful for editing both plain text files (files that contain no formatting like bold, fonts etc) and Word documents, Rich Text Format (RTF) documents and Windows Write (WRI) documents.

If you didn’t install this component of Windows, you can do so by checking it under Accessories


Automation Examples

Automation can be initiated in two basic ways:

  1. via a batch file
  2. via a Desktop or Start Menu shortcut (create a LFNit! shortcut, then change the Target property under the Short Cut tab)

Either way, you need to be careful to quote any long filenames e.g.

"c:\program files\LFNit\LFNit.exe" c:\ /a d:\ /a /g /e

This simple line runs LFNit! from a shortcut in the StartUp folder to save long filenames on all drives and then exits (usually used when the computer is booted):

Omitting either the /g or /e options or putting them in the wrong order will prevent automation from working.

Here are some more LFNit! examples:

Run LFNit just in the My Documents folder and then exit

lfnit.exe "c:\My Documents" /a /g /e

Run LFNit just in the Windows folder and then wait for further tasks

lfnit.exe c:\windows /a /g

See also

Command line options


Command Line Options

When properly configured, LFNit! can be tailored to backup a particular folder and then exit, or backup a particular folder and then revert to normal data entry. LFNit! can be run from a DOS shell or from a shortcut with parameters to make it run completely automatically. This is very useful for performing conversions automatically or on machine start up (by making the short cut an entry in the Start Up folder).

Usage:

lfnit [options] folder /A /G [[options] folder2 /A /G ...] [/E]

Where [options] is zero or more of:

<folder>
 The starting point for LFNit's output. Where omitted, LFNit! assumes the current folder, but this can be unpredictable unless you run LFNit! from a shortcut. Long filenames should be entered with double quotes e.g.

c:\> lfnit "c:\Program Files" [Enter]

/# Limits the number of levels of folders that LFNit! descends into to find long filenames. Eg /1 will only look at the first folder level. A value of 0 is equivalent to a value of 255 (ie. all levels)

Default: All levels (255)

/A | Adds a restoration entry to the restoration list. A complete restoration entry consists of a start folder, batch file name (/B=) and folder depth (/#, /I or /X). The /A must be preceded by at least a start folder
/B=filename Specifies the name of the batch file to write to. For long filename folders, include the entire parameter in double quotes e.g.

lfnit.exe "/b=c:\my very long filename.bat"

Default: LFNrenew.bat in the start folder

/C=exclude folder Adds a folder name to the list of folders to exclude from long filename processing. For long filename folders, include the entire parameter in double quotes e.g.

lfnit.exe "/c=c:\Recycled" "/c=c:\Program Files"

/D Enables debug mode.

Default: disabled

/E | Exit after completion. This is normally used to exit LFNit! after all threads of execution have finished. It is commonly used in Windows StartUp folders or login scripts to backup long filenames on all hard disks as the machine starts
/G | Go! Starts the backup process for the specified list of restoration entries. If this option is omitted then LFNit! will simply use any command line parameters provided as defaults (unless /L= has been used to load a default restoration list)
/I | Includes all subfolders (default) (same as /255)
/L=<filename> | Loads a restoration file
/X | Excludes all subfolders (same as /1)


Debug mode

Debug mode is very useful to help locate the source of any problems when the LFNRENEW batch file has trouble renaming files. This typically occurs when files no longer exist or are currently in use.

When debug mode is enabled, LFNit! adds extra information to the LFNRENEW batch file to display the current filename being renamed. The DOS Shell typically does not display the filename when it renames files - this is where this option comes into its own.


Notes on Usage

LFNit! relies on having Windows 95/98/NT running in order for it to restore long filenames. This means that it cannot be used if Windows can't boot (ie it can't restore the long filenames for Windows itself). However, it can easily handle every other file.


Teaching Win95 to create better short filenames

If you don't like the way Windows 95 appends a tilde (~) and a digit to short filenames, you can change this via the registry. You can change its behaviour so that unique, autogenerated, DOS-style, 8 dot 3 names are stored without tails.

  1. Start RegEdit (REGEDIT.EXE)
  2. Search for the FileSystem key
  3. In the right pane, add a binary value of NameNumericTail and set it to 00.


Use in Conjunction with XTree Gold

Let's assume you want to copy all files from a source folder to a separate backup target folder with XTreeGold while preserving the Long File Names.

  1. Invoke the LFNit filename backup process in the file window of the source folder by hitting Alt-'B'atch while highlighting *any* file, and entering "C:\TOOLS\LFNIT\LFNIT /x %3 /a /e /g" (where "C:\TOOLS\LFNIT\" is the path to your "LFNIT.EXE"). This creates the batch file "LFNRENEW.BAT" in the current folder.
  2. Tag all files (Ctrl+'T'ag) and perform the copy command (Ctrl+'C'opy) to a target folder of your choice.
  3. Simply e'X'ecute the file "LFNRENEW.BAT" in the target folder, this will perfectly restore the long names of all the copied files.